petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestSetGradeFactor

During the pre-setup phase, set the desired amount of grading in the mesh, e.g. give 2 to indicate that the diameter of neighboring cells should differ by at most a factor of 2. Subtypes of DMForest may only support one particular choice of grading factor.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetGradeFactor(DM dm, PetscInt grade)

Logically collective on dm

### Input Parameters

| dm | - the forest
| grade | - the grading factor

### See Also

DMForestGetGradeFactor()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages